Subject: Re: Tuning freeRadius
From: Kostas Kalevras <[email-masked]>
To: [email-masked]
Date: Thu, 14 Nov 2002 18:48:39 +0200 (EET)
List-Id: FreeRadius users mailing list <freeradius-users.lists.cistron.nl>

On Thu, 14 Nov 2002, Alan DeKok wrote:

> "Michael Fuller" <[email-masked]> wrote:
> > I have implemented freeRadius 0.71 with LDAP authentication and
> > authorization. The system is working fine for the past two months. Now, I
> > want to implement per day time quotas for users. How can I do this ? I saw
> > some references to
> > Max-Daily- session in Radiusd.conf, but how can I implement this with LDAP ?

Add a radiusmaxdailysession attribute in your ldap schema and in the
radiusprofile objectclass, add it in ldap.attrmap as a checkItem for
Max-Daily-Session, add the counter module in the instantiate section and in
the authorize section after the ldap module and it should work.

>
>   I don't know.  The rlm_counter module does this, though.
>
> > The NAS fails over to the secondary radius server when the primary fails.
> > How to ensure that it reverts back to primary when the primary comes up ?
>
>   That's up to the NAS.
>
> > Some time ago, there was a query on how to stop radius from replying if the
> > LDAP server dies. Kostas Kalevras did give a reply on this. Can I get the
> > answer again please ?
>
>   Grab the latest CVS snapshot, and see 'doc/configurable_failover'
>
>   Alan DeKok.
>
> -
> List info/subscribe/unsubscribe? See http://www.freeradius.org/list/users.html
>

--
Kostas Kalevras		Network Operations Center
[email-masked]	National Technical University of Athens, Greece
Work Phone:		+30 210 7721861
'Go back to the shadow'	Gandalf

- 
List info/subscribe/unsubscribe? See http://www.freeradius.org/list/users.html